
c-----------------------------------------------------------------------------
c
c     U77.h -- header file for the UNIX Fortran 77 library. Not
c              all of these are implimented within U77, since
c              most vendors handle iargc(), getarg(), signal() and
c              system().
c
c     Written By: S.E.Norris
c
c-----------------------------------------------------------------------------

c     Misc functions

      EXTERNAL qsort

c     String functions

      INTEGER  lnblnk
      EXTERNAL lnblnk
      INTEGER  len
      EXTERNAL len

c     Clock routines      

      CHARACTER*24 ctime
      EXTERNAL ctime
      CHARACTER*24 fdate
      EXTERNAL fdate
      EXTERNAL gmtime
      EXTERNAL idate
      EXTERNAL itime
      EXTERNAL ltime
      INTEGER  time
      EXTERNAL time

c     Timing routines

      REAL     dtime
      EXTERNAL dtime
      REAL     dsecnd
      EXTERNAL dsecnd
      REAL     etime
      EXTERNAL etime
      INTEGER  mclock
      EXTERNAL mclock
      REAL     second
      EXTERNAL second
      INTEGER  wclock
      EXTERNAL wclock

c     Dynamic memory routines

      INTEGER  loc
      EXTERNAL loc
      EXTERNAL falloc
      EXTERNAL free
      INTEGER  malloc
      EXTERNAL malloc

c     Random number generators

      DOUBLE PRECISION drand
      EXTERNAL drand
      INTEGER  irand
      EXTERNAL irand
      REAL     rand
      EXTERNAL rand

c     Enviroment variables

      INTEGER  getcwd
      EXTERNAL getcwd
      EXTERNAL getenv
      INTEGER  getgid
      EXTERNAL getgid
      INTEGER  getlog
      EXTERNAL getlog
      INTEGER  getpid
      EXTERNAL getpid
      INTEGER  hostnm
      EXTERNAL hostnm
      INTEGER  getuid
      EXTERNAL getuid

c     Other system calls

      INTEGER  alarm
      EXTERNAL alarm
      EXTERNAL exit
      INTEGER  fork
      EXTERNAL fork
      INTEGER  iargc
      EXTERNAL iargc
      INTEGER  kill
      EXTERNAL kill
      EXTERNAL getarg
      EXTERNAL sleep
      INTEGER  system
      EXTERNAL system
      EXTERNAL signal           ! Not implimented
      INTEGER  wait
      EXTERNAL wait

c     File system calls

      INTEGER  access
      EXTERNAL access
      INTEGER  chdir
      EXTERNAL chdir
      INTEGER  chmod
      EXTERNAL chmod
      INTEGER  fstat
      EXTERNAL fstat
      INTEGER  link
      EXTERNAL link
      INTEGER  lstat
      EXTERNAL lstat
      INTEGER  rename
      EXTERNAL rename
      INTEGER  stat
      EXTERNAL stat
      INTEGER  symlnk
      EXTERNAL symlnk
      INTEGER  unlink
      EXTERNAL unlink

c     Error handling calls

      EXTERNAL gerror
      EXTERNAL perror
      INTEGER  ierrno
      EXTERNAL ierrno
      EXTERNAL seterr
