
/*---------------------------------------------------------------------------

    chdir.c -- change directory

    Written By: S.E. Norris

    Usage:
       integer   chdir  ! function
       character name   ! directory name 
       integer   ierr
       external  chdir

       ierr = chdir(name)

    $RCSfile: chdir.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: chdir.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/04/01 06:37:39  norris
    Added sys/errno.h to the include list, for the HP's

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  08:57:06  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <sys/errno.h>
#include <sys/param.h>
#include <errno.h>
#include "libU77.h"

integer chdir_(char *dname, ftnlen dnamlen)
{
  char buf[MAXPATHLEN];

  if (dnamlen >= sizeof buf) {
    return((integer) (errno=F_ERARG));
  }

  fcopyin(dname, dnamlen, buf);
  if (chdir(buf) != 0) {
    return((integer) errno);
  }
  return (integer) 0;
}
