
/*--------------------------------------------------------------------------

    dtime() -- returns the elapsed time since the last time 
               dtime was called

    Written By: S.E. Norris

    Usage:

      real total
      real tarray(2)
      real dtime
      external dtime

      total = dtime(tarray)

    $RCSfile: dtime.c,v $
    $Author: norris $
    $Revision: 1.6 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: dtime.c,v $
    Revision 1.6  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.5  1996/03/28  09:18:59  norris
    Ported to POSIX/SunOS.

    Revision 1.4  1996/03/28 01:14:28  norris
    Removed superflous function definition.

    Revision 1.3  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.2  1996/03/26  01:53:44  norris
    Changed the function definitions.

    Revision 1.1  1996/03/26  00:49:46  norris
    Initial revision

  --------------------------------------------------------------------------*/

#include <sys/types.h>
#include <sys/times.h>
#include "libU77.h"

real dtime_(real dt[2])
{
  static int flag = 0;
  static real told[2], tnew[2];

  (void) etime_(tnew);
  if (flag == 0) {
    dt[0] = tnew[0];
    dt[1] = tnew[1];
    flag = 1;
  } else {
    dt[0] = tnew[0] - told[0];
    dt[1] = tnew[1] - told[1];
  }
  told[0] = tnew[0];
  told[1] = tnew[1];

  return dt[0] + dt[1];
}
