
/*---------------------------------------------------------------------------

    falloc.c -- dynamically allocates memory

    Written By: S.E. Norris

    Usage:
       integer nelm    ! Number of elements wanted
       integer elsize  ! Size of element
       integer clean   ! if 1, set array to 0, else don't
       integer addr    ! memory address
       integer offset  ! memory offset from a(1)
       dimension basvec(1)

       call falloc( nelem, elsize, clean, basevec, addr, offset )


    $RCSfile: falloc.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: falloc.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/27  09:16:11  norris
    Added trailing underscore to name.

  ---------------------------------------------------------------------------*/

#include <stdlib.h>
#include "libU77.h"

subroutine falloc_(integer *nelem, integer *elsize, integer *clean, 
	           char *basevec, char **addr, integer *offset )
{
  if (*clean == 1) {
    *addr = calloc( *nelem + 1, *elsize );
  } else {
    *addr = malloc( (*nelem + 1) * *elsize );
  }

  if (*addr != 0) {
    *offset = ((*addr - basevec) / *elsize) + 1;
  } else {
    *offset = 0;
  }
}
