
/*---------------------------------------------------------------------------

    fork() -- create a copy of the process

    Written By: S.E. Norris

    Usage:

       integer  pid
       integer  fork
       external fork

       pid = fork()
       if (pid.eq.0) then
          ! we are the child
       else if (pid.gt.0)
          ! we are the parent
       else
          ! error
       endif

    $RCSfile: fork.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: fork.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name. Ooops.

    Revision 1.1  1996/03/26  00:32:42  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <unistd.h>
#include "libU77.h"

integer fork_()
{
  integer i;

  i = (integer) fork();

  if (i < 0) {
    return((integer) (-errno));
  } else {
    return i;
  }
}
