
/*---------------------------------------------------------------------------

    getarg.c -- returns the nth argument from the command line.

                Please Note: This function is very implimentation 
                specific, and is not guaranteed to work.

    Written By: S.E. Norris

    Usage:
      character*20 arg
      integer      narg
      external     getarg

      call getarg(narg, getarg)

    $RCSfile: getarg.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: getarg.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/11/10 00:58:03  norris
    Modified so compatable with the NAG F90 compiler.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/29  00:48:08  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#ifdef NAG_F90
extern int f90_argc;
extern char **f90_argv;
#else
extern int xargc;
extern char **xargv;
#endif
#include "libU77.h"

subroutine getarg_(integer *fargc, char *fargv, ftnlen ls)
{
  char *arg;

#ifdef NAG_F90
  if ( *fargc >= 0 && *fargc < f90_argc ) {
    arg = f90_argv[*fargc];
#else
  if ( *fargc >= 0 && *fargc < xargc ) {
    arg = xargv[*fargc];
#endif
  } else {
    arg = "";
  }

  fcopyout(fargv, arg, ls);
}
