
/*---------------------------------------------------------------------------

    gmtime() -- converts a time into GMT.

    Written By: S.E. Norris

    Usage:

       integer  tarray(9)
       integer  time
       external gmtime

       call gmtime(time,tarray)

    $RCSfile: gmtime.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: gmtime.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:56:20  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include "libU77.h"

subroutine gmtime_(integer *time, integer tarray[9])
{
  struct tm *timestruct;

  timestruct = gmtime((time_t *) time);
  
  tarray[0] = (integer) timestruct -> tm_sec;
  tarray[1] = (integer) timestruct -> tm_min;
  tarray[2] = (integer) timestruct -> tm_hour;
  tarray[3] = (integer) timestruct -> tm_mday;
  tarray[4] = (integer) timestruct -> tm_mon;
  tarray[5] = (integer) timestruct -> tm_year;
  tarray[6] = (integer) timestruct -> tm_wday;
  tarray[7] = (integer) timestruct -> tm_yday;
  tarray[8] = (integer) timestruct -> tm_isdst;
}
