
/*---------------------------------------------------------------------------

    idate() -- returns the current date as an array of integers.

    Written By: S.E.Norris

    Usage:

       integer  dmy(3)
       integer  day,month,year
       external idate

       call idate(dmy)
       day   = dmy(1)
       month = dmy(2)
       year  = dmy(3)

    $RCSfile: idate.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: idate.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/25  23:48:41  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include <sys/types.h>
#include "libU77.h"

subroutine idate_(integer dmy[3])
{
  time_t et;
  struct tm *timestruct;
  
  et = time(0);
  timestruct = localtime(&et);

  dmy[0] = (integer) ( timestruct -> tm_mday );
  dmy[1] = (integer) ( timestruct -> tm_mon  ) + 1;
  dmy[2] = (integer) ( timestruct -> tm_year ) + 1900;
}
