
/*---------------------------------------------------------------------------

    irand() -- returns a random integer value.

    Written By: S.E.Norris

    Usage:

      integer  iflag ! seed for rand()
      integer  irand ! external function.
      integer  inum
      external irand

      inum = irand(iflag) ! assigns random number between 0 and 2147483647.

    $RCSfile: irand.c,v $
    $Author: norris $
    $Revision: 1.6 $
    $Date: 1996/04/01 06:37:01 $
 
    $Log: irand.c,v $
    Revision 1.6  1996/04/01 06:37:01  norris
    Corrected a faulty definition of SEED.

    Revision 1.5  1996/03/31 05:11:28  norris
    Changed function to use either random() or rand().

    Revision 1.4  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  09:18:59  norris
    Ported to POSIX/SunOS.

    Revision 1.2  1996/03/28 00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:09:22  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <stdlib.h>
#include "libU77.h"

#ifdef NORANDOM
#define RAND rand
#define SEED srand
#else
#define RAND random
#define SEED srandom
#endif

integer irand_(integer *flag)
{
  static unsigned int seed = (unsigned int) 0;

  switch ((int) *flag) {
  case 0:
    break;
  case 1:
    SEED(seed);
    break;
  default:
    seed = (unsigned int) *flag;
    SEED(seed);
    break;
  }

  return((integer) RAND());
}
