
/*---------------------------------------------------------------------------

    libU77.h -- header file for the libU77 functions.

    Written By: S.E. Norris

    $RCSfile: libU77.h,v $
    $Author: norris $
    $Revision: 1.8 $
    $Date: 1996/11/28 12:00:57 $
 
    $Log: libU77.h,v $
    Revision 1.8  1996/11/28 12:00:57  norris
    General clean up of the code.

    Revision 1.7  1996/04/06 03:57:06  norris
    Changed the default type for logical.

    Revision 1.6  1996/03/31  23:40:04  norris
    Changed the memory address pointers to long from int.

    Revision 1.5  1996/03/29  10:53:27  norris
    Removed the getarg and iargc calls from the list.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28 01:18:00  norris
    Debugged version.

    Revision 1.2  1996/03/27  23:58:08  norris
    Added more functions.

    Revision 1.1  1996/03/26  01:58:25  norris
    Initial revision

  ---------------------------------------------------------------------------*/



/*
 * Fortran types
 */
typedef int       integer;        /* Was long int, but for the DEC Alpha */
typedef char      *address;
typedef short int shortint;
typedef float     real;
typedef double    doublereal;
typedef struct { real r, i; }       complex;
typedef struct { doublereal r, i; } doublecomplex;
typedef int       logical;
typedef short int shortlogical;
typedef char      logical1;
typedef char      integer1;
typedef long      ftnlen;
typedef long      pointer;
typedef void      subroutine;


#ifndef MAXPATHLEN
#define MAXPATHLEN      128
#endif
#ifndef F_ERARG
#define F_ERARG         121
#endif
#ifndef TRUE_
#define TRUE_  (1)
#endif
#ifndef FALSE_
#define FALSE_ (0)
#endif


/*
 * Function definitions
 */
subroutine fcopy1(char *to, char *from, ftnlen tolen);
subroutine fcopy2(char *a, ftnlen alen, char *b);
real etime_(real t[2]);
real second_();
