
/*---------------------------------------------------------------------------

    rand() -- returns a random real value.

    Written By: S.E.Norris

    Usage:

      integer  iflag ! seed for rand()
      real     rand  ! external function.
      real     rnum
      external rand

      rnum = rand(iflag)  ! assigns random number between 0 and 1.

    $RCSfile: rand.c,v $
    $Author: norris $
    $Revision: 1.6 $
    $Date: 1996/04/01 06:37:01 $
 
    $Log: rand.c,v $
    Revision 1.6  1996/04/01 06:37:01  norris
    Corrected a faulty definition of SEED.

    Revision 1.5  1996/04/01 05:49:07  norris
    Corrected the max int of random().

    Revision 1.4  1996/03/31 05:11:28  norris
    Changed function to use either random() or rand().

    Revision 1.3  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:09:22  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <stdlib.h>
#include <limits.h>
#include "libU77.h"

#ifdef NORANDOM
#define RAND rand
#define SEED srand
#else
#define RAND random
#define SEED srandom
#endif

real rand_(integer *flag)
{
  static integer seed = 0;

  switch (*flag) {
  case 0:
    break;
  case 1:
    SEED(seed);
    break;
  default:
    seed = *flag;
    SEED(seed);
    break;
  }

#ifdef NORANDOM
  return((real) RAND() / (float) RAND_MAX);
#else
  return((real) RAND() / (float) INT_MAX);
#endif
}
