
/*---------------------------------------------------------------------------

    unlink.c -- unlink a file.

    Written By: S.E. Norris

    Usage:
       character name   ! file name
       integer   unlink ! function
       integer   ierr
       external  unlink

       ierr = unlink(name)

    $RCSfile: unlink.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: unlink.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  09:58:31  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno; 

#include <unistd.h>
#include <sys/param.h>
#include "libU77.h"

integer unlink_(char *name, ftnlen namlen)
{
  char buf[MAXPATHLEN];

  if (namlen >= sizeof buf) {
    return (integer)(errno=F_ERARG);
  }

  fcopyin(name, namlen, buf);
  if (unlink(buf) != 0) {
    return (integer) errno;
  }
  return (integer) 0;
}
