
/*---------------------------------------------------------------------------

    wait() -- wait for a process to terminate

    Written By: S.E. Norris

    Usage:

       integer  ierr
       integer  status
       integer  wait
       external wait

       ierr = wait(status)
       if (ierr.le.0) then
          ! no processes to wait for
       else
          ! ierr   is pid of child
          ! status is exit code of child
       endif

    $RCSfile: wait.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: wait.c,v $
    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:35:08  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <sys/types.h>
#include <sys/wait.h>
#include "libU77.h"

extern int errno;

integer wait_(integer *status)
{
  int i,stat;

  i = wait(&stat);

  if ( i < 0) {
    return (integer) (-errno);
  } else {
    *status = (integer) stat;
    return((integer) i);
  }
}
