
/*---------------------------------------------------------------------------

    wclock.c -- returns the elapsed wall clock time.

    Written By: S.E. Norris

    Usage:
      integer  secnds
      integer  wclock ! external function.
      external wclock 

      secnds = wclock() ! assigns seconds since the first call.

    $RCSfile: wclock.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: wclock.c,v $
    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/29  00:48:08  norris
    Removed use of names.h names.

    Revision 1.1  1996/03/28  23:21:42  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include "libU77.h"

integer wclock_()
{
  static time_t t0,dt;
  static int flag = 0;

  if ( flag == 0 ) {
    t0 = time( (time_t *) 0 );
    dt = (time_t) 0;
    flag = 1;
  } else {
    dt = time( (time_t *) 0 ) - t0;
  }

  return (integer) dt;
}
